import es
from es import server_var

def load():
    whiletest()
    vectors()
    cmdtest()
    
def whiletest():
    i = 5000
    while i:
        i-=1
        es.server.cmd("printcount")
    
def vectors():
    y = es.createvectorstring(3.5,4.5,6.8)
    if y != "3.500000,4.500000,6.800000":
        print "failed",y
    else:
        print "success1",y
    z = es.splitvectorstring(y)
    if z[0] != 3.5 or z[1] != 4.5 or round(z[2],1) != 6.8:
        print "failed2",z
    else:
        print "success2",z

def cmdtest():
    cmdtest_register()
    es.server.cmd("pycommand passed")
    if server_var['cmdtest_pass'] == "passed":
        print "cmdtest_passed"
    else:
        print "cmdtest_failed"
    
def cmdtest_register():
    es.regcmd("pycommand", "pyunittest/cmdtest_run", "Stuff")
    
def cmdtest_run():
    es.set("cmdtest_pass", es.getargv(1))
    print "cmdtest()"
